> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sources



## OpenAPI

````yaml /openapi.json get /v1/api-performance/sources
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/sources:
    get:
      tags:
        - API Performance
      summary: List Sources
      operationId: api_performance_sources_list
      parameters:
        - name: include_system
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include System
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiPerformanceSourcesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicApiPerformanceSourcesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PublicApiPerformanceSource'
          type: array
          title: Data
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: PublicApiPerformanceSourcesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiPerformanceSource:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          title: Type
        label:
          type: string
          title: Label
        metadata:
          $ref: '#/components/schemas/PublicApiPerformanceSourceMetadata'
        targets:
          items:
            $ref: '#/components/schemas/PublicApiEvalTarget'
          type: array
          title: Targets
        operation_count:
          type: integer
          title: Operation Count
          default: 0
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - type
        - label
      title: PublicApiPerformanceSource
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicApiPerformanceSourceMetadata:
      properties:
        api_base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Base Url
        docs_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Docs Url
        default_env_profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Env Profile Id
        env_var_keys:
          items:
            type: string
          type: array
          title: Env Var Keys
        env_profiles:
          items:
            $ref: '#/components/schemas/PublicEvalEnvProfileSummary'
          type: array
          title: Env Profiles
        models:
          items:
            type: string
          type: array
          title: Models
        eval_types:
          items:
            type: string
          type: array
          title: Eval Types
      type: object
      title: PublicApiPerformanceSourceMetadata
    PublicApiEvalTarget:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        target_type:
          type: string
          enum:
            - text
            - agent
          title: Target Type
        execution_platform:
          type: string
          title: Execution Platform
        model_id:
          type: string
          title: Model Id
        frequency:
          type: string
          enum:
            - daily
            - every_other_day
            - weekly
            - manual
          title: Frequency
          default: daily
        enabled:
          type: boolean
          title: Enabled
          default: true
        next_run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Run At
        last_run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Run At
        last_skipped_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Skipped At
        skip_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Skip Reason
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - target_type
        - execution_platform
        - model_id
      title: PublicApiEvalTarget
    PublicEvalEnvProfileSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        env_var_keys:
          items:
            type: string
          type: array
          title: Env Var Keys
      type: object
      required:
        - id
        - name
      title: PublicEvalEnvProfileSummary
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````